上次更新时间:2026年9月1日
查询用户粉丝
请求
HTTP URL | https://open.tiktokapis.com/v2/research/user/followers/ |
HTTP 请求方法 | POST |
权限范围 | research.data.basic(必要权限) |
请求头
Key | 类型 | 描述 | 示例 | 是否必填 |
Authorization | 字符串 (String) | 通过 /v2/oauth/token/ 获取的客户端访问令牌。 | Bearer clt.example12345Example12345Example | 是 |
Content-Type | 字符串 (String) | 资源的原始媒体类型。 | application/json | 是 |
请求体
Key | 类型 | 描述 | 示例值 | 是否必填 |
username | 字符串 (String) | 用作用户唯一标识符的用户名。 | "test_username" | 是 |
max_count | int64 | 单次响应中可返回的最大粉丝数量。默认值为 20,最大值为 100。 | 100 | 否 |
cursor | int64 | 将返回在此时间及之前关注该用户的粉丝。该参数值是一个 UTC Unix 时间戳(单位:秒)。默认值为发出此请求时的时间戳。 | 1706833705 | 否 |
示例
curl --location 'https://platform.tiktokapis.com/v2/research/user/followers/' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer clt.test123test123test123' \
--data '{
"username": "test_user",
"max_count":3,
"cursor": 12347764
}'响应
响应体
Key | 类型 | 描述 |
data | UserFollowerData | 用户的粉丝列表。 |
error | ErrorStructV2 | Error 对象。 |
UserFollowerData
Key | 类型 | 描述 |
user_followers | list<UserInfo> | 查询到的粉丝信息列表。 |
cursor | int64 | 返回在此时间或之前关注的粉丝。该参数值是一个 UTC Unix 时间戳(单位:秒)。默认值为发出此请求时的时间戳。 |
has_more | 布尔值 (Boolean) | 该用户是否还有更多粉丝。 |
User Info 对象
字段 | 类型 | 描述 |
"display_name" | 字符串 (String) | 该粉丝的主页名称。 |
"username" | 字符串 (String) | 该粉丝的用户名。 |
示例
{
"data": {
"cursor": 1706837834,
"has_more": true,
"user_followers": [
{
"display_name": "test user",
"username": "test_username"
},
{
"username": "test user 2",
"display_name": "test_username2"
}
]
},
"error": {
"code": "ok",
"message": "ok",
"log_id": "123499999999999999999999999999"
}
}